#
# spec file for package klettres
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           klettres
Version:        4.14.3
Release:        0
Summary:        Alphabet Learning Game
License:        GPL-2.0+
Group:          Amusements/Teaching/Language
Url:            http://edu.kde.org
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  libkde4-devel
BuildRequires:  xz
Provides:       kde4-klettres = 4.3.0
Obsoletes:      kde4-klettres < 4.3.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
Helps to learn the alphabet and read some syllables.

%prep
%setup -q

%build
%ifarch ppc ppc64
export RPM_OPT_FLAGS="%{optflags} -mminimal-toc"
%endif
  %cmake_kde4 -d build
  %make_jobs

%install
  %kde4_makeinstall -C build
  %suse_update_desktop_file %{name}       Education Languages
  %kde_post_install

%files
%defattr(-,root,root)
%doc COPYING AUTHORS ChangeLog
%dir %{_kde4_datadir}/appdata
%{_kde4_applicationsdir}/klettres.desktop
%{_kde4_appsdir}/klettres/
%{_kde4_bindir}/klettres
%{_kde4_configdir}/klettres.knsrc
%{_kde4_configkcfgdir}/klettres.kcfg
%{_kde4_datadir}/appdata/klettres.appdata.xml
%{_kde4_htmldir}/en/klettres/
%{_kde4_iconsdir}/hicolor/*/apps/klettres.*

%changelog
